2018-09-22 21:34 EDT


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0002955FSSCPmultiplayerpublic2013-11-18 21:16
Reporterchief1983 
Assigned ToGoober5000 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86-64OSWindows 7OS VersionProfessional
Product Version3.7.1 
Target Version3.7.2Fixed in Version 
Summary0002955: r9799/9800 causes debug crash joining multiplayer
DescriptionJoining a multiplayer match leads to a message along the lines of:

Debug Error!

Run-Time Check Failure 0000002 - Stack around the variable 'swap' was corrupted.
Steps To Reproduce1. Use a debug build >= r9799/9800, attempt to join a multiplayer server or standalone server (might only be when connecting to standalones).

Crash dialog popup happens immediately after joining a server in the server list.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0015414

Goober5000 (administrator)

Can you provide the address (or whatever information is needed) for a standalone server?

~0015416

chief1983 (administrator)

Sure, there should be one showing up on FS2NetD again. Power outage earlier took out my datacenter, but it should be back up now, running 3.7.0 final. Should anything about dynamic max medals have caused it to break just if the client and server don't both have the dynamic max medals code?

~0015422

Goober5000 (administrator)

This evening's attempt, from IRC...

21:55:33 Goober5000: chief1983, how do I connect to your standalone server?
22:01:31 niffiwan|work: if that's the *nix standalone, I've only been able to connect to it from a 2nd PC logged into PXO
22:01:42 niffiwan|work: i.e. logged in with 1st PC, can't connect
22:01:59 niffiwan|work: then login with the 2nd PC without disconnecting the 1st, 2nd can connect
22:02:00 niffiwan|work: wierd
22:02:34 Goober5000: I've logged in to FS2NetD, I think, because I see a channel called "Eleh"
22:02:53 Goober5000: but if I click on games, it says no servers were found
22:03:10 niffiwan|work: yeah, that's what happens with my 1st PC to connect
22:03:42 niffiwan|work: the 2nd can't see channel Eleh, but it can see & join the standalone
22:04:27 Goober5000: I don't have time to debug multiplayer AND bug 2955
22:04:45 Goober5000: I'll drop this for now... let me know if chief comes back

~0015423

Goober5000 (administrator)

Update:

22:04:52 niffiwan|work: yeah, multi ain't seem much love of late
22:05:31 niffiwan|work: can you repro 2955 with a "normal" multi server?
22:06:22 Goober5000: ...
22:06:27 niffiwan|work: or.... if fubar is around, maybe he could fire up a windows standalone?
22:06:31 Goober5000: I disconnected from PXO and went to a normal game
22:06:35 Goober5000: and now I see chief's server :p
22:06:45 niffiwan|work: :wtf:

~0015424

Goober5000 (administrator)

Fix committed to trunk@10117.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2013-11-16 23:56 chief1983 New Issue
2013-11-16 23:56 chief1983 Status new => assigned
2013-11-16 23:56 chief1983 Assigned To => Goober5000
2013-11-17 20:04 Goober5000 Note Added: 0015414
2013-11-17 22:00 chief1983 Note Added: 0015416
2013-11-18 20:38 Goober5000 Note Added: 0015422
2013-11-18 20:39 Goober5000 Note Added: 0015423
2013-11-18 21:16 Goober5000 Changeset attached => fs2open trunk r10117
2013-11-18 21:16 Goober5000 Note Added: 0015424
2013-11-18 21:16 Goober5000 Status assigned => resolved
2013-11-18 21:16 Goober5000 Resolution open => fixed
+Issue History